Table of Contents

Class: CvsTagDialog | eric3/VCS/cvsPackage/TagDialog.py
--- | ---

Class implementing a dialog to enter the data for a tagging operation.

Base Classes |
--- | ---
TagForm

Methods |
--- | ---
__init__ enableOkButton getParameters
| __init__

    __init__ (
            self,
            taglist,
            parent=None,
            )

### Constructor

#### Arguments

taglist
  list of previously entered tags (QStringList)
parent
  parent widget (QWidget)

| enableOkButton

    enableOkButton ( self,  text )

### Private method used to enable/disable the OK-button.

#### Arguments

text
  ignored

| getParameters

    getParameters ( self )

### Public method to retrieve the tag data.

#### Returns

tuple of QString and int (tag, tag operation)

Table of Contents

This document was automatically generated by HappyDoc version 2.1